Loading...
Searching...
No Matches
rheolef::space_numbering

## Typedefs

typedef geo_element::size_type | size_type

## Functions

template<class T>
size_type | ndof (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
size_type | dis_ndof (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
size_type | nnod (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
size_type | dis_nnod (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
void | dis_inod (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, typename std::vector< size_type >::iterator dis_inod_tab)
template<class T>
void | dis_idof (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, typename std::vector< size_type >::iterator dis_idof_tab)
template<class T>
void | dis_inod (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, std::vector< size_type > &dis_inod_tab)
template<class T>
void | dis_idof (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, std::vector< size_type > &dis_idof_tab)
template<class T>
void | generic_set_ios_permutation (const basis_basic< T > &b, size_t map_d, const geo_size &gs, const std::array< disarray< size_t, distributed >, reference_element::max_variant > &igev2ios_dis_igev, disarray< size_t, distributed > &idof2ios_dis_idof)
template<class T>
void | set_ios_permutations (const basis_basic< T > &b, const geo_basic< T, distributed > &omega, disarray< size_type, distributed > &idof2ios_dis_idof, disarray< size_type, distributed > &ios_idof2dis_idof)
template<class T>
void | set_ios_permutations (const basis_basic< T > &b, const geo_basic< T, sequential > &omega, disarray< size_type, sequential > &idof2ios_dis_idof, disarray< size_type, sequential > &ios_idof2dis_idof)

## Typedef Documentation

## size_type

typedef geo_element::size_type size_type

Definition at line 50 of file space_numbering.h.

## Function Documentation

## ndof()

template<class T>

size_type ndof | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | size_type | map_dim )

Definition at line 28 of file space_numbering.cc.

## dis_ndof()

template<class T>

size_type dis_ndof | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | size_type | map_dim )

Definition at line 41 of file space_numbering.cc.

## nnod()

template<class T>

size_type nnod | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | size_type | map_dim )

Definition at line 54 of file space_numbering.cc.

## dis_nnod()

template<class T>

size_type dis_nnod | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | size_type | map_dim )

Definition at line 67 of file space_numbering.cc.

## dis_inod() [1/2]

template<class T>

void dis_inod | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | const geo_element & | K,
|  | typename std::vector< size_type >::iterator | dis_inod_tab )

Definition at line 177 of file space_numbering.cc.

## dis_idof() [1/2]

template<class T>

void dis_idof | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | const geo_element & | K,
|  | typename std::vector< size_type >::iterator | dis_idof_tab )

Definition at line 187 of file space_numbering.cc.

## dis_inod() [2/2]

template<class T>

void dis_inod | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | const geo_element & | K,
|  | std::vector< size_type > & | dis_inod_tab )

Definition at line 197 of file space_numbering.cc.

## dis_idof() [2/2]

template<class T>

void dis_idof | ( | const basis_basic< T > & | b,
|  | const geo_size & | gs,
|  | const geo_element & | K,
|  | std::vector< size_type > & | dis_idof_tab )

Definition at line 211 of file space_numbering.cc.

## generic_set_ios_permutation()

template<class T>

void generic_set_ios_permutation | ( | const basis_basic< T > & | b,
|  | size_t | map_d,
|  | const geo_size & | gs,
|  | const std::array< disarray< size_t, distributed >, reference_element::max_variant > & | igev2ios_dis_igev,
|  | disarray< size_t, distributed > & | idof2ios_dis_idof )

Definition at line 234 of file space_numbering.cc.

## set_ios_permutations() [1/2]

template<class T>

void set_ios_permutations | ( | const basis_basic< T > & | b,
|  | const geo_basic< T, distributed > & | omega,
|  | disarray< size_type, distributed > & | idof2ios_dis_idof,
|  | disarray< size_type, distributed > & | ios_idof2dis_idof )

Definition at line 275 of file space_numbering.cc.

## set_ios_permutations() [2/2]

template<class T>

void set_ios_permutations | ( | const basis_basic< T > & | b,
|  | const geo_basic< T, sequential > & | omega,
|  | disarray< size_type, sequential > & | idof2ios_dis_idof,
|  | disarray< size_type, sequential > & | ios_idof2dis_idof )

Definition at line 62 of file space_numbering.h.